# CEGUI::NamedArea Class Reference

NamedArea defines an area for a component which may later be obtained and referenced by a name unique to the WidgetLook holding the NamedArea. More...

Collaboration diagram for CEGUI::NamedArea:

[legend]
List of all members.

## Public Member Functions

| NamedArea (const String &name)
const String & | getName () const
| Return the name of this NamedArea.
const ComponentArea & | getArea () const
| Return the ComponentArea of this NamedArea.
void | setArea (const ComponentArea &area)
| Set the Area for this NamedArea.
void | writeXMLToStream (OutStream &out_stream) const
| Writes an xml representation of this NamedArea to out_stream.

## Detailed Description

NamedArea defines an area for a component which may later be obtained and referenced by a name unique to the WidgetLook holding the NamedArea.

## Member Function Documentation

const ComponentArea & CEGUI::NamedArea::getArea | ( |  | ) | const

Return the ComponentArea of this NamedArea.

Returns:
  ComponentArea object describing the NamedArea's current target area.

const String & CEGUI::NamedArea::getName | ( |  | ) | const

Return the name of this NamedArea.

Returns:
  String object holding the name of this NamedArea.

void CEGUI::NamedArea::setArea | ( | const ComponentArea & | area | ) |

Set the Area for this NamedArea.

Parameters:

  | area | ComponentArea object describing a new target area for the NamedArea..

Returns:
  Nothing.

void CEGUI::NamedArea::writeXMLToStream | ( | OutStream & | out_stream | ) | const

Writes an xml representation of this NamedArea to out_stream.

Parameters:

  | out_stream | Stream where xml data should be output.

Returns:
  Nothing.